import { select, arc } from 'd3';

const svg = select('body')
  .append('svg')
  .attr('width', 960)
  .attr('height', 800);

// Body
const body = svg
  .append('circle')
  .attr('r', 200)
  .attr('cx', 480)
  .attr('cy', 400)
  .attr('fill', 'lightgreen');

// Eyes
const eyeSpacing = 80;
const eyeYOffset = -80;
const eyeRadius = 30;
svg
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', 480 - eyeSpacing)
  .attr('cy', 400 + eyeYOffset)
  .attr('fill', 'white');
svg
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', 480 + eyeSpacing)
  .attr('cy', 400 + eyeYOffset)
  .attr('fill', 'white');

// Pupils
const pupilRadius = 15;
svg
  .append('circle')
  .attr('r', pupilRadius)
  .attr('cx', 480 - eyeSpacing)
  .attr('cy', 400 + eyeYOffset)
  .attr('fill', 'black');
svg
  .append('circle')
  .attr('r', pupilRadius)
  .attr('cx', 480 + eyeSpacing)
  .attr('cy', 400 + eyeYOffset)
  .attr('fill', 'black');

// Mouth
const mouth = svg
  .append('path')
  .attr(
    'd',
    arc() // Create an arc path
      .innerRadius(0)
      .outerRadius(80)
      .startAngle(Math.PI / 2) // radians
      .endAngle((3 * Math.PI) / 2),
  )
  .attr('transform', `translate(480, ${400 + 40})`)
  .attr('fill', 'red');

// Antennae
const antennaLength = 150;
const antennaAngle = Math.PI / 4;
svg
  .append('line')
  .attr('x1', 480)
  .attr('y1', 400 - 200)
  .attr('x2', 480 + antennaLength * Math.cos(antennaAngle))
  .attr(
    'y2',
    400 - 200 - antennaLength * Math.sin(antennaAngle),
  )
  .attr('stroke', 'black')
  .attr('stroke-width', 5);
svg
  .append('line')
  .attr('x1', 480)
  .attr('y1', 400 - 200)
  .attr('x2', 480 - antennaLength * Math.cos(antennaAngle))
  .attr(
    'y2',
    400 - 200 - antennaLength * Math.sin(antennaAngle),
  )
  .attr('stroke', 'black')
  .attr('stroke-width', 5);

// Antenna balls
const antennaBallRadius = 20;
svg
  .append('circle')
  .attr('r', antennaBallRadius)
  .attr('cx', 480 + antennaLength * Math.cos(antennaAngle))
  .attr(
    'cy',
    400 - 200 - antennaLength * Math.sin(antennaAngle),
  )
  .attr('fill', 'blue');
svg
  .append('circle')
  .attr('r', antennaBallRadius)
  .attr('cx', 480 - antennaLength * Math.cos(antennaAngle))
  .attr(
    'cy',
    400 - 200 - antennaLength * Math.sin(antennaAngle),
  )
  .attr('fill', 'blue');
